package cn.iocoder.yudao.module.bpm.api.oa;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.bpm.api.oa.vo.invoice.BpmOAInvoiceDTO;
import cn.iocoder.yudao.module.bpm.enums.ApiConstants;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(name = ApiConstants.NAME) // TODO 芋艿：fallbackFactory =
@Tag(name = "RPC 服务 - 流程实例")
public interface BpmOAInvoiceApi {

    String PREFIX = ApiConstants.PREFIX + "/oa/invoice";

    @PostMapping(PREFIX + "/create")
    @Operation(summary = "创建开票申请流程")
    CommonResult<Long> create(@RequestBody BpmOAInvoiceDTO createReqVO);
}
