package cn.iocoder.yudao.module.bpm.controller.admin.definition.vo.cc;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - BPM 流程抄送配置分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BpmProcessCcPageReqVO extends PageParam {

    @Schema(description = "流程实例的名字", example = "请假")
    private String name;

    @Schema(description = "用户组编号", example = "114")
    private String userGroupId;

    @Schema(description = "公司部门编号", example = "114")
    private String companyDeptId;

    @Schema(description = "状态（0正常 1停用）")
    private Integer status;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}