package cn.iocoder.yudao.module.bpm.controller.admin.definition.vo.cc;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Set;

@Schema(description = "管理后台 - BPM 流程抄送配置新增/修改 Request VO")
@Data
public class BpmProcessCcSaveReqVO {

    @Schema(description = "抄送配置表单主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Long id;

    @Schema(description = "流程实例的名字", example = "请假")
    private String name;

    @Schema(description = "公司部门编号", example = "114")
    private Set<Long> companyDeptId;

    @Schema(description = "绑定用户组编号")
    private Set<Long> userGroupId;

    @Schema(description = "描述", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "描述不能为空")
    private String description;

    @Schema(description = "状态（0正常 1停用）", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "状态（0正常 1停用）不能为空")
    private Integer status;

}