package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.expenses;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * 生产开支 Excel 导出 VO
 *
 * @author 符溶馨
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = false)
public class BpmOAExpensesExportVO {

    @ExcelProperty("申请用户")
    private String userName;

    @ExcelProperty("费用类型")
    private String typeName;

    @ExcelProperty("费用板块")
    private String costSectionName;

    @ExcelProperty("费用产生部门")
    private String deptName;

    @ExcelProperty("支出金额（元）")
    private BigDecimal amount;

    @ExcelProperty("费用明细")
    private String detail;

    @ExcelProperty("报销总金额（元）")
    private BigDecimal totalMoney;

    @ExcelProperty("收款人")
    private String payeeName;

    @ExcelProperty("开户行")
    private String bankName;

    @ExcelProperty("银行卡号")
    private String bankNo;

    @ExcelProperty("支付状态")
    private String statusName;


}
