package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.petition;

import cn.iocoder.yudao.framework.common.pojo.UploadUserFile;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 签呈申请 创建 Request VO
 *
 * @author 符溶馨
 */
@Schema(description = "管理后台 - 签呈申请创建 Request VO")
@Data
@EqualsAndHashCode()
@ToString(callSuper = true)
public class BpmOAPetitionCreateReqVO {

    @Schema(description = "签呈标题", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "签呈标题不能为空")
    private String title;

    @Schema(description = "申请内容", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "申请内容不能为空")
    private String content;

    @Schema(description = "所关联的流程")
    private List<AssociationVO> businessInstanceIds;

    @Schema(description = "流程实例编号")
    private String processInstanceId;

    @Schema(description = "状态-参见 bpm_process_instance_result 枚举", example = "1")
    private Integer result;

    @Schema(description = "上传文件")
    private List<UploadUserFile> fileItems;
}
