package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.workorder;

import cn.iocoder.yudao.module.bpm.enums.task.BpmProcessInstanceResultEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - BPM OA 工单修改 Request VO")
@Data
public class BpmOAWorkOrderUpdateReqVO {

    @Schema(description = "工单ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @NotNull(message = "工单ID不能为空")
    private Long id;

    @Schema(description = "工单状态", example = "3")
    private Integer status;

    @Schema(description = "BPM流程结果", example = "3")
    private Integer result;

    @Schema(description = "期望完成时间", example = "2024-12-20 18:00:00")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime expectedTime;

    @Schema(description = "实际完成时间", example = "2024-12-20 16:30:00")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime completedTime;

    @Schema(description = "工单处理结果说明", example = "已成功修复系统登录问题，用户可以正常登录")
    private String resultDescription;

}
