package cn.iocoder.yudao.module.bpm.dal.dataobject.definition;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import cn.iocoder.yudao.framework.mybatis.core.type.JsonLongSetTypeHandler;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.util.Set;

/**
 * BPM 流程抄送配置 DO
 *
 * @author 符溶馨
 */
@TableName(value = "bpm_process_cc", autoResultMap = true)
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BpmProcessCcDO extends BaseDO {

    /**
     * 抄送配置表单主键
     */
    @TableId
    private Long id;
    /**
     * 流程实例的名字
     */
    private String name;
    /**
     * 公司部门编号列表
     */
    @TableField(typeHandler = JsonLongSetTypeHandler.class)
    private Set<Long> companyDeptId;
    /**
     * 绑定用户组编号列表
     */
    @TableField(typeHandler = JsonLongSetTypeHandler.class)
    private Set<Long> userGroupId;
    /**
     * 描述
     */
    private String description;
    /**
     * 状态（0正常 1停用）
     */
    private Integer status;

}