package cn.iocoder.yudao.module.bpm.dal.dataobject.oa;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * OA 生产开支明细 DO
 *
 * @author 符溶馨
 */
@TableName(value ="bpm_oa_expenses_item", autoResultMap = true)
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BpmOAExpensesItemDO extends BaseDO {

    /**
     * 表单主键
     */
    @TableId
    private Long id;

    /**
     * 生产开支业务编号
     */
    private Long expensesId;

    /**
     * 费用类型 字典值参照 BPM_OA_EXPENSES_TYPE
     */
    private Integer type;

    /**
     * 费用板块 | 1叉车 2打包 3搬运 4运输
     */
    private Integer costSection;

    /**
     * 费用产生部门
     */
    private Long deptId;

    /**
     * 金额
     */
    private BigDecimal totalMoney;

    /**
     * 申请日期
     */
    private LocalDate applicationDate;

    /**
     * 费用明细
     */
    private String detail;
}
