package cn.iocoder.yudao.module.bpm.service.oa;

import cn.iocoder.yudao.framework.common.pojo.UploadUserFile;

import java.util.List;

/**
 * BPM OA 附件服务接口
 */
public interface BpmOAAttachmentService {

    /**
     * 更新业务实体的附件信息
     * @param entityClazzs 业务实体类列表
     * @param entityId 业务ID
     * @param fileItems 附件数据
     */
    void updateAttachment(List<Class<?>> entityClazzs, Long entityId, List<UploadUserFile> fileItems);

    /**
     * 通过流程代码解析实体类型
     * @param processCode 流程标识码
     * @return 实体类和Mapper类的列表
     */
    List<Class<?>> resolveEntityType(String processCode);
}
