package cn.iocoder.yudao.module.bpm.service.oa;

import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.businessCard.BpmOABusinessCardCreateReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOABusinessCardDO;

public interface BpmOABusinessCardService {

    /**
     * 创建名片定制
     * @param userId 用户id
     * @param createReqVO 创建信息
     * @return 名片id
     */
    Long createBusinessCard(Long userId, BpmOABusinessCardCreateReqVO createReqVO);

    /**
     * 获得名片定制
     * @param id 编号
     * @return 名片定制详情
     */
    BpmOABusinessCardDO getBusinessCard(Long id);

    /**
     * 获得名片定制
     * @param processInstanceId 流程实例编号
     * @return 名片定制详情
     */
    BpmOABusinessCardDO getByProcessInstanceId(String processInstanceId);

    /**
     * 更新名片定制申请的状态
     *
     * @param id     编号
     * @param result 结果
     */
    void updateBusinessCardResult(Long id, Integer result);
}
