package cn.iocoder.yudao.module.bpm.service.oa;

import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.hire.BpmOAHireCreateReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOAHireDO;

public interface BpmOAHireService {

    /**
     * 创建名片定制
     * @param userId 用户id
     * @param createReqVO 创建信息
     * @return 名片id
     */
    Long createHire(Long userId, BpmOAHireCreateReqVO createReqVO);

    /**
     * 获得名片定制
     * @param id 编号
     * @return 名片定制详情
     */
    BpmOAHireDO getHire(Long id);

    /**
     * 获得名片定制
     * @param processInstanceId 流程实例编号
     * @return 名片定制详情
     */
    BpmOAHireDO getByProcessInstanceId(String processInstanceId);

    /**
     * 更新名片定制申请的状态
     *
     * @param id     编号
     * @param result 结果
     */
    void updateHireResult(Long id, Integer result);
}
