package cn.iocoder.yudao.module.bpm.service.oa.listener;

import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOAPetitionService;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOAPetitionServiceImpl;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * OA 签呈的结果的监听器实现类
 *
 * @author 符溶馨
 */
@Component
public class BpmOAPetitionResultListener extends BpmProcessInstanceResultEventListener {

    @Resource
    private BpmOAPetitionService petitionService;

    @Override
    protected String getProcessDefinitionKey() {
        return BpmOAPetitionServiceImpl.PROCESS_KEY;
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        petitionService.updatePetitionServiceResult(Long.parseLong(event.getBusinessKey()), event.getResult());
    }
}
