package cn.iocoder.yudao.module.crm.dal.dataobject.salesperformanceassessment;

import lombok.*;
import java.util.*;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 绩效考核设置 DO
 *
 * @author 艾楷
 */
@TableName("crm_sales_performance_assessment")
@KeySequence("crm_sales_performance_assessment_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SalesPerformanceAssessmentDO extends BaseDO {

    /**
     * id
     */
    @TableId
    private Long id;
    /**
     * 计算表达式 例如 10<=n&&n<=20
     */
    private String calculationExpression;
    /**
     * 核发比例%
     */
    private BigDecimal proportion;

}