package cn.iocoder.yudao.module.crm.service.salesperformanceweight;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.crm.controller.admin.salesperformanceweight.vo.*;
import cn.iocoder.yudao.module.crm.dal.dataobject.salesperformanceweight.SalesPerformanceWeightDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 销售业绩权重设置 Service 接口
 *
 * @author 艾楷
 */
public interface SalesPerformanceWeightService {

    /**
     * 创建销售业绩权重设置
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createSalesPerformanceWeight(@Valid SalesPerformanceWeightSaveReqVO createReqVO);

    /**
     * 更新销售业绩权重设置
     *
     * @param updateReqVO 更新信息
     */
    void updateSalesPerformanceWeight(@Valid SalesPerformanceWeightSaveReqVO updateReqVO);

    /**
     * 删除销售业绩权重设置
     *
     * @param id 编号
     */
    void deleteSalesPerformanceWeight(Long id);

    /**
     * 获得销售业绩权重设置
     *
     * @return 销售业绩权重设置
     */
    SalesPerformanceWeightDO getSalesPerformanceWeight();

    /**
     * 获得销售业绩权重设置分页
     *
     * @param pageReqVO 分页查询
     * @return 销售业绩权重设置分页
     */
    PageResult<SalesPerformanceWeightDO> getSalesPerformanceWeightPage(SalesPerformanceWeightPageReqVO pageReqVO);

    /**
     * 新增修改销售业绩权重设置
     * @param updateReqVO
     */
    void saveOrEdit(@Valid SalesPerformanceWeightSaveReqVO updateReqVO);
}
