package cn.iocoder.yudao.module.system.api.attendance.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.util.List;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
 * @author 艾楷
 */
@Data
public class AttendanceTimeRangeInfoDTO {
    /**
     * 用户id
     */
    @Schema(description = "用户id")
    private Long userId;
    /**
     * 开始时间
     */
    @Schema(description = "开始时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime startTime;
    /**
     * 结束时间
     */
    @Schema(description = "结束时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime endTime;

    /**
     * 时间列表yyyy-MM-dd格式
     */
    private List<String> times;

    /**
     * 节假日自动排休 0否 1是
     */
    private Integer autoHolidaysFlag;

    /**
     * 考勤组id
     */
    private Long groupId;
}
