package cn.iocoder.yudao.module.system.api.rental.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@Schema(description = "管理后台 - 租赁订单新增/修改 Request VO")
@Data
public class RentalOrderDTO {

    @Schema(description = "租赁订单表单主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Long id;

    @Schema(description = "订单编号")
    private String orderNo;

    @Schema(description = "客户编号", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long customerId;

    @Schema(description = "收款人")
    private String recipient;

    @Schema(description = "押金金额", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "押金金额不能为空")
    private BigDecimal depositAmount;

    @Schema(description = "扣款金额")
    private BigDecimal chargebacksAmount;

    @Schema(description = "备注")
    private String notes;

    @Schema(description = "状态 | 1租赁中 2退款中 3已退")
    private Integer status;
}