package cn.iocoder.yudao.module.system.api.user.vo;

import cn.iocoder.yudao.framework.common.enums.CommonStatusEnum;
import cn.iocoder.yudao.module.system.enums.common.SexEnum;
import lombok.Data;
import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;

import java.time.LocalDate;
import java.time.LocalDateTime;

@Data
public class AdminUserRpcVO {

    /**
     * 用户ID
     */
    private Long id;
    /**
     * 用户账号
     */
    private String username;
    /**
     * 用户昵称
     */
    private String nickname;
    /**
     * 部门 ID
     */
    private Long deptId;
    /**
     * 用户邮箱
     */
    private String email;
    /**
     * 手机号码
     */
    private String mobile;
    /**
     * 身份证号码
     */
    private String idcard;
    /**
     * 年龄
     */
    private Integer age;
    /**
     * 生日日期
     */
    private LocalDate birthdayDay;
    /**
     * 用户性别
     * <p>
     * 枚举类 {@link SexEnum}
     */
    private Integer sex;
    /**
     * 用户头像
     */
    private String avatar;
    /**
     * 帐号状态
     * <p>
     * 枚举 {@link CommonStatusEnum}
     */
    private Integer status;

    /**
     * 是否允许外勤打卡 0否 1是
     * <p>
     * 枚举 {@link CommonStatusEnum}
     */
    private Integer fieldworkFlag;

    /**
     * 用户类型
     * 1：公司用户  2：工厂用户
     */
    private Integer userType;

    /**
     * 用户性质
     * 3：正式 4：外勤
     */
    private Integer userNature;

    /**
     * 用户编制
     * 5：试用  6：实习 7：在职 8：离职
     */
    private Integer userStaffing;

    /**
     * 最后登录IP
     */
    private String loginIp;
    /**
     * 最后登录时间
     */
    private LocalDateTime loginDate;

    /**
     * 微信小程序openId
     */
    private String openId;
}
