package cn.iocoder.yudao.module.system.controller.admin.attendance.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 工厂员工打卡记录 Response VO")
@Data
@ExcelIgnoreUnannotated
public class AttendanceFactoryPunchRecordRespVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "20527")
    @ExcelProperty("编号")
    private Long id;

    @Schema(description = "考勤用户id", example = "10616")
    @ExcelProperty("考勤用户id")
    private Long userId;

    @Schema(description = "考勤用户名称", example = "10616")
    @ExcelProperty("考勤用户名称")
    private String userName;

    @Schema(description = "部门id", example = "5051")
    @ExcelProperty("部门id")
    private Long deptId;

    @Schema(description = "部门名称", example = "5051")
    @ExcelProperty("部门名称")
    private String deptName;

    @Schema(description = "工厂id", requiredMode = Schema.RequiredMode.REQUIRED, example = "32372")
    @ExcelProperty("工厂id")
    private Long factoryId;

    @Schema(description = "工厂名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "32372")
    @ExcelProperty("工厂名称")
    private String factoryName;

    @Schema(description = "设备序列号(考勤机打卡有)")
    @ExcelProperty("设备序列号(考勤机打卡有)")
    private String sn;

    @Schema(description = "日期yyyy-MM-dd格式 (实际是哪一天)")
    @ExcelProperty("日期yyyy-MM-dd格式 (实际是哪一天)")
    private String actualDayTime;

    @Schema(description = "打卡时间")
    @ExcelProperty("打卡时间")
    private LocalDateTime punchTime;

    @Schema(description = "图片")
    @ExcelProperty("图片")
    private String image;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
