package cn.iocoder.yudao.module.system.controller.admin.bank.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 用户银行卡信息新增/修改 Request VO")
@Data
public class UserBankSaveReqVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "3548")
    private Long id;

    @Schema(description = "银行卡用户名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "芋艿")
    @NotNull(message = "银行卡用户名称不能为空")
    private String nickname;

    @Schema(description = "银行卡号",requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "银行卡号不能为空")
    private String bankNo;

    @Schema(description = "开户行信息", requiredMode = Schema.RequiredMode.REQUIRED, example = "赵六")
    @NotNull(message = "开户行信息不能为空")
    private String bankName;

}