package cn.iocoder.yudao.module.system.controller.admin.holiday.holidayuser.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 员工假期 Response VO")
@Data
@ExcelIgnoreUnannotated
public class HolidayUserRespVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "13925")
    @ExcelProperty("编号")
    private Long id;

    @Schema(description = "用户id", example = "15129")
    @ExcelProperty("用户id")
    private Long userId;

    @Schema(description = "假期设置id", example = "20658")
    @ExcelProperty("假期设置id")
    private Long holidaySettingId;

    @Schema(description = "假期余额设置id", example = "22544")
    @ExcelProperty("假期余额设置id")
    private Long holidayBalanceSettingId;

    @Schema(description = "假期余额(这里的单位根据假期设置的来 没有固定单位)")
    @ExcelProperty("假期余额(这里的单位根据假期设置的来 没有固定单位)")
    private BigDecimal holidayBalance;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
