package cn.iocoder.yudao.module.system.controller.admin.holiday.holidayuser.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;
import java.math.BigDecimal;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 员工假期新增/修改 Request VO")
@Data
public class HolidayUserSaveReqVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "13925")
    private Long id;

    @Schema(description = "用户id", example = "15129")
    private Long userId;

    @Schema(description = "假期设置id", example = "20658")
    private Long holidaySettingId;

    @Schema(description = "假期余额设置id", example = "22544")
    private Long holidayBalanceSettingId;

    @Schema(description = "假期余额(这里的单位根据假期设置的来 没有固定单位)")
    private BigDecimal holidayBalance;
}
