package cn.iocoder.yudao.module.system.controller.admin.holiday.holidayworkingage.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 假期额度工龄配置 Response VO")
@Data
@ExcelIgnoreUnannotated
public class HolidayWorkingAgeRespVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "9746")
    @ExcelProperty("编号")
    private Long id;

    @Schema(description = "假期设置id", example = "12675")
    @ExcelProperty("假期设置id")
    private Long holidaySettingId;

    @Schema(description = "假期余额设置id", example = "153")
    @ExcelProperty("假期余额设置id")
    private Long holidayBalanceSettingId;

    @Schema(description = "工龄 0表示小于1年 1表示大于等于1年 以此类推")
    @ExcelProperty("工龄 0表示小于1年 1表示大于等于1年 以此类推")
    private Integer years;

    @Schema(description = "年假天数")
    @ExcelProperty("年假天数")
    private Integer num;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
