package cn.iocoder.yudao.module.system.controller.admin.hr.vo.payslip;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Schema(description = "管理后台 - 工资条 Response VO")
@Data
public class PayslipRespVO {

    @Schema(description = "编号", example = "1")
    private Long id;

    @Schema(description = "用户编号", example = "1")
    private Long userId;

    @Schema(description = "用户名称", example = "芋道")
    private String userName;

    @Schema(description = "部门编号", example = "1")
    private Long deptId;

    @Schema(description = "部门名称",  example = "芋道源码")
    private String deptName;

    @Schema(description = "所属公司编号")
    private Long companyDeptId;

    @Schema(description = "公司名称",  example = "芋道源码")
    private String companyName;

    @Schema(description = "银行开户名")
    private String bankName;

    @Schema(description = "银行账号")
    private String bankNo;

    @Schema(description = "工资日期")
    private String salaryDate;

    @Schema(description = "实发工资")
    private BigDecimal salary;

    @Schema(description = "工资条详情")
    private List<PayslipDetail> details;

    @Schema(description = "备注")
    private String remark;

    @Schema(description = "是否确认工资单 | 0否 1是", requiredMode = Schema.RequiredMode.REQUIRED, example = "true")
    private Integer isConfirm;

    @Schema(description = "电子签名")
    private String signURL;
}
