package cn.iocoder.yudao.module.system.controller.admin.linefixedassetstemporarytable.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 打包线固定资产（excel 临时表）分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class LineFixedAssetsTemporaryTablePageReqVO extends PageParam {

    @Schema(description = "打包线编号")
    private String lineNo;

    @Schema(description = "规格")
    private String sku;

    @Schema(description = "名称", example = "王五")
    private String name;

    @Schema(description = "型号")
    private String modelNo;

    @Schema(description = "厂商")
    private String manufacturer;

    @Schema(description = "单位")
    private String unit;

    @Schema(description = "数量")
    private String num;

    @Schema(description = "铭牌日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] nameplateDate;

    @Schema(description = "使用日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] useDate;

    @Schema(description = "状态", example = "2")
    private String status;

    @Schema(description = "工厂名称", example = "李四")
    private String factoryName;

    @Schema(description = "备注", example = "你说的对")
    private String remark;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}