package cn.iocoder.yudao.module.system.controller.admin.rental.vo.rentalsalerecord;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@Schema(description = "管理后台 - 租金转销售状态 Request VO")
@Data
public class RentalSaleStatusReqVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "1024")
    @NotNull(message = "编号不能为空")
    private Long id;

    @Schema(description = "客户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Long customerId;

    @Schema(description = "入账编号")
    private Long depositId;

    @Schema(description = "金额")
    private BigDecimal amount;

    @Schema(description = "状态 | 0销售 1退还", requiredMode = Schema.RequiredMode.REQUIRED, example = "0")
    @NotNull(message = "状态不能为空")
    private Integer status;

    @Schema(description = "退还经办人用户编号", example = "146")
    private Long returnUserId;
}
