package cn.iocoder.yudao.module.system.controller.admin.supplier.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 供应商商品 Response VO")
@Data
@ExcelIgnoreUnannotated
public class SupplierProductRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "6113")
    @ExcelProperty("主键")
    private Long id;

    @Schema(description = "供应商id", example = "19964")
    @ExcelProperty("供应商id")
    private Long supplierId;

    @Schema(description = "资产类型id", example = "1358")
    @ExcelProperty("资产类型id")
    private Long assetsTypeId;

    @Schema(description = "资产名称", example = "赵六")
    @ExcelProperty("资产名称")
    private String assetsName;

    @Schema(description = "单位")
    @ExcelProperty("单位")
    private String util;

    @Schema(description = "型号")
    @ExcelProperty("型号")
    private String model;

    @Schema(description = "价格", example = "23614")
    @ExcelProperty("价格")
    private BigDecimal price;

    @Schema(description = "备注")
    @ExcelProperty("备注")
    private String remarks;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
