package cn.iocoder.yudao.module.system.dal.dataobject.attendance.attendancespecial;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 考勤特殊日期 DO
 *
 * @author 艾楷
 */
@TableName("kq_attendance_special")
@KeySequence("kq_attendance_special_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AttendanceSpecialDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 考勤组id
     */
    private Long attendanceGroupId;
    /**
     * 类型 0无需打卡日期 1必须打卡日期
     */
    private Integer type;
    /**
     * 班次id（为空表示休息 - 必须打卡日期必须要有时间）
     */
    private Long attendanceGroupShiftId;
    /**
     * 时间 - 格式 yyyy-mm-dd
     */
    private String dateTime;

    /**
     * 提示
     */
    private String tips;
}
