package cn.iocoder.yudao.module.system.service.attendance.factorypunchrecord;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import cn.iocoder.yudao.module.system.controller.admin.attendance.vo.AttendanceFactoryPunchRecordPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.attendance.vo.AttendanceFactoryPunchRecordSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.attendance.factorypunchrecord.AttendanceFactoryPunchRecordDO;

/**
 * 工厂员工打卡记录 Service 接口
 *
 * @author 艾楷
 */
public interface AttendanceFactoryPunchRecordService {

    /**
     * 创建工厂员工打卡记录
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createAttendanceFactoryPunchRecord(@Valid AttendanceFactoryPunchRecordSaveReqVO createReqVO);

    /**
     * 更新工厂员工打卡记录
     *
     * @param updateReqVO 更新信息
     */
    void updateAttendanceFactoryPunchRecord(@Valid AttendanceFactoryPunchRecordSaveReqVO updateReqVO);

    /**
     * 删除工厂员工打卡记录
     *
     * @param id 编号
     */
    void deleteAttendanceFactoryPunchRecord(Long id);

    /**
     * 获得工厂员工打卡记录
     *
     * @param id 编号
     * @return 工厂员工打卡记录
     */
    AttendanceFactoryPunchRecordDO getAttendanceFactoryPunchRecord(Long id);

    /**
     * 获得工厂员工打卡记录分页
     *
     * @param pageReqVO 分页查询
     * @return 工厂员工打卡记录分页
     */
    PageResult<AttendanceFactoryPunchRecordDO> getAttendanceFactoryPunchRecordPage(AttendanceFactoryPunchRecordPageReqVO pageReqVO);

}
