package cn.iocoder.yudao.module.system.service.workovertime;

import cn.iocoder.yudao.module.system.dal.dataobject.workovertime.WorkOvertimeRuleAttendanceGroupDO;
import cn.iocoder.yudao.module.system.dal.dataobject.workovertime.WorkOvertimeRuleDO;

import java.util.List;

/**
 * 加班规则考勤组关联 Service 接口
 *
 * @author 艾楷
 */
public interface WorkOvertimeRuleAttendanceGroupService {

    /**
     * 通过规则id获取关联的考勤组
     *
     * @param ruleId
     * @return
     */
    List<WorkOvertimeRuleAttendanceGroupDO> getListByRuleId(Long ruleId);

    /**
     * 根据考勤组id获取加班规则
     *
     * @param attendanceGroupId
     * @return
     */
    WorkOvertimeRuleDO getRuleByAttendanceGroupId(Long attendanceGroupId);

    /**
     * 批量新增删除
     *
     * @param ruleId
     * @param attendanceGroupIdLists
     */
    void insertDeleteBatch(Long ruleId, List<List<Long>> attendanceGroupIdLists);
}
