package cn.iocoder.yudao.module.smartfactory.controller.admin.handlingspecifications.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@Schema(description = "管理后台 - 工厂搬运规格导入 Request VO")
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = false) // 设置 chain = false，避免用户导入有问题
public class HandlingSpecificationsImportVO {

    @ExcelProperty("厂区名称")
    @NotNull(message = "厂区名称不能为空")
    private String factoryName;

    @ExcelProperty("规格名称")
    @NotNull(message = "规格名称不能为空")
    private String specificationsName;

    @ExcelProperty("类型")
    @NotNull(message = "类型不能为空")
    private String type;

    @ExcelProperty("重量 /（公斤 kg）")
    private BigDecimal weight;

    @ExcelProperty("单价/（吨/1000  or 件）")
    @NotNull(message = "单价不能为空")
    private BigDecimal unitPrice;
}
