package cn.iocoder.yudao.module.smartfactory.controller.admin.industrialinjury.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 厂区工伤分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class IndustrialInjuryPageReqVO extends PageParam {

    @Schema(description = "用户编号", example = "146")
    private Long staffId;

    @Schema(description = "所属工厂编号", example = "10000008")
    private Long factoryId;

    @Schema(description = "发生时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDate[] happenTime;

    @Schema(description = "垫资方 | 1公司 2工厂")
    private Integer payer;

    @Schema(description = "状态 | 1处理中 2已完成", example = "1")
    private Integer status;

}