package cn.iocoder.yudao.module.smartfactory.dal.dataobject.accessoriescollar;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.math.BigDecimal;

/**
 * 厂区配件领用 DO
 *
 * @author 符溶馨
 */
@TableName("sf_accessories_collar")
@KeySequence("sf_accessories_collar_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AccessoriesCollarDO extends BaseDO {

    /**
     * 厂区配件领用表单主键
     */
    @TableId
    private Long id;
    /**
     * 工厂编号
     */
    private Long factoryId;
    /**
     * 领用月份 | YYYY-MM
     */
    private String month;
    /**
     * 叉车配件费用
     */
    private BigDecimal forkliftAccessories;
    /**
     * 打包配件费用
     */
    private BigDecimal packageAccessories;
    /**
     * 搬运劳保费用
     */
    private BigDecimal transportationAmount;
    /**
     * 状态 | 0未确认 1已确认
     */
    private Integer status;

}