package cn.iocoder.yudao.module.smartfactory.dal.dataobject.handlinggroupamountspecifications;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import cn.iocoder.yudao.module.smartfactory.controller.admin.handlinggroupamountspecifications.vo.SpecificationDetailVO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.math.BigDecimal;
import java.util.List;

/**
 * 搬运组工资规格关联 DO
 *
 * @author 艾楷
 */
@TableName("sf_handling_group_amount_specifications")
@KeySequence("sf_handling_group_amount_specifications_seq")
// 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class HandlingGroupAmountSpecificationsDO extends BaseDO {

    /**
     * 主键id
     */
    @TableId
    private Long id;
    /**
     * 工厂id
     */
    private Long factoryId;
    /**
     * 搬运规格id
     */
    private Long handlingSpecificationsId;
    /**
     * 搬运规格名称
     */
    @TableField(exist = false)
    private String handlingSpecificationsName;
    /**
     * 搬运组id
     */
    private Long handlingGroupId;

    /**
     * 叉车司机id
     */
    private Long staffId;

    /**
     * 数量
     */
    private Integer totalCount;
    /**
     * 日期 格式 yyyy-MM-dd
     */
    private String dateStr;
    /**
     * 总金额（根据规格和总量计算出 该搬运组获得的总金额）
     */
    private BigDecimal amount;
    /**
     * 金额合计
     */
    @TableField(exist = false)
    private BigDecimal totalAmount;
    /**
     * 数量合计
     */
    @TableField(exist = false)
    private Integer totalNum;
    /**
     * 工厂名称
     */
    @TableField(exist = false)
    private String factoryName;
    /**
     * 搬运组名称
     */
    @TableField(exist = false)
    private String handlingGroupName;
    /**
     * 叉车司机名称
     */
    @TableField(exist = false)
    private String staffName;
    /**
     * 搬运规格id 逗号隔开
     */
    @TableField(exist = false)
    private List<SpecificationDetailVO> specificationDetails;
}
