package cn.iocoder.yudao.module.smartfactory.dal.dataobject.staff;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.math.BigDecimal;

/**
 * 员工 DO
 *
 * @author 艾楷
 */
@TableName("sf_staff")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class StaffDO extends BaseDO {

    /**
     * 主键id
     */
    @TableId
    private Long id;

    /**
     * 员工昵称
     */
    private String nickName;

    /**
     * 年龄
     */
    private Integer age;

    /**
     * 用户性别（0男 1女 2未知）
     */
    private Integer sex;

    /**
     * 工种id
     */
    private Integer workTypeId;

    /**
     * 所属业务类型
     */
    private Integer businessType;

    /**
     * 工厂id
     */
    private Long factoryId;

    /**
     * 手机号
     */
    private String mobile;

    /**
     * 身份证号
     */
    private String idCard;

    /**
     * 银行名称
     */
    private String bankName;

    /**
     * 银行卡号
     */
    private String bankNo;

    /**
     * 工资
     */
    private BigDecimal salary;

    /**
     * 薪资主体 | 字典值 sf_staff_salary_subject
     */
    private Integer salarySubject;

    /**
     * 备注
     */
    private String notes;

    /**
     * 0离职  1在职 2工伤
     */
    private Integer status;

    @TableField(exist = false)
    private String postName;
}