package cn.iocoder.yudao.module.smartfactory.dal.dataobject.staffsalary;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import cn.iocoder.yudao.module.smartfactory.controller.admin.staffsalary.vo.DeductionItemsVO;
import cn.iocoder.yudao.module.smartfactory.controller.admin.staffsalary.vo.SalarySubjectItemsVO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import lombok.*;

import java.math.BigDecimal;
import java.util.List;

/**
 * 厂区员工工资 DO
 *
 * @author 符溶馨
 */
@TableName(value = "sf_staff_salary", autoResultMap = true)
@KeySequence("sf_staff_salary_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class StaffSalaryDO extends BaseDO {

    /**
     * 主键id
     */
    @TableId
    private Long id;
    /**
     * 用户编号
     */
    private Long staffId;
    /**
     * 所属工厂编号
     */
    private Long factoryId;
    /**
     * 工资月份 | YYYY-MM
     */
    private String month;
    /**
     * 考勤天数
     */
    private Integer attendanceDays;
    /**
     * 应发工资
     */
    private BigDecimal payableAmount;
    /**
     * 归还金额
     */
    private BigDecimal returnAmount;
    /**
     * 扣款金额
     */
    private BigDecimal deductionAmount;
    /**
     * 实发工资
     */
    private BigDecimal realAmount;
    /**
     * 扣款明细
     */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<DeductionItemsVO> deductionItems;
    /**
     * 薪资主体明细
     */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<SalarySubjectItemsVO> salarySubjectItems;
    /**
     * 复核状态 | 0未复核 1已复核
     */
    private Integer status;

    /**
     * 是否发放工资 | 0未发放 1已发放
     */
    private Integer isGrant;

}