package cn.iocoder.yudao.module.smartfactory.dal.mysql.handlinggroup;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.smartfactory.controller.admin.handlinggroup.vo.HandlingGroupPageReqVO;
import cn.iocoder.yudao.module.smartfactory.controller.admin.handlinggroupamountspecifications.dto.HandlingGroupAmountSpecificationsPageReqDTO;
import cn.iocoder.yudao.module.smartfactory.controller.admin.handlinggroupamountspecifications.vo.HandlingGroupAmountSpecificationsVO;
import cn.iocoder.yudao.module.smartfactory.dal.dataobject.handlinggroup.HandlingGroupDO;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 搬运组 Mapper
 *
 * @author 艾楷
 */
@Mapper
public interface HandlingGroupMapper extends BaseMapperX<HandlingGroupDO> {

    default PageResult<HandlingGroupDO> selectPage(HandlingGroupPageReqVO reqVO) {

        return selectPage(reqVO, new LambdaQueryWrapperX<HandlingGroupDO>()
                .eqIfPresent(HandlingGroupDO::getFactoryId, reqVO.getFactoryId())
                .likeIfPresent(HandlingGroupDO::getHandlingGroupName, reqVO.getHandlingGroupName())
                .betweenIfPresent(HandlingGroupDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(HandlingGroupDO::getId));
    }

    /**
     * @param page
     * @param vo
     * @return
     */
    IPage<HandlingGroupDO> selectPageList(@Param("page") Page<Object> page, @Param("vo") HandlingGroupPageReqVO vo);

    /**
     * 根据时间分组查询分页
     *
     * @param page
     * @param vo
     * @return
     */
    IPage<HandlingGroupAmountSpecificationsVO> selectPageListByDateStr(@Param("page") Page<Object> page, @Param("vo") HandlingGroupAmountSpecificationsPageReqDTO vo);

    /**
     *
     * @param id
     * @return
     */
    HandlingGroupDO getHandlingGroup(@Param("id") Long id);
}
