package cn.iocoder.yudao.module.smartfactory.service.factoryforklift;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.smartfactory.controller.admin.factoryforklift.vo.FactoryForkliftPageReqVO;
import cn.iocoder.yudao.module.smartfactory.controller.admin.factoryforklift.vo.FactoryForkliftRespVO;
import cn.iocoder.yudao.module.smartfactory.controller.admin.factoryforklift.vo.FactoryForkliftSaveReqVO;
import cn.iocoder.yudao.module.smartfactory.dal.dataobject.factoryforklift.FactoryForkliftDO;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.validation.Valid;

/**
 * 叉车管理 Service 接口
 *
 * @author 姚君
 */
public interface FactoryForkliftService extends IService<FactoryForkliftDO> {

    /**
     * 创建叉车管理
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createFactoryForklift(@Valid FactoryForkliftSaveReqVO createReqVO);

    /**
     * 更新叉车管理
     *
     * @param updateReqVO 更新信息
     */
    void updateFactoryForklift(@Valid FactoryForkliftSaveReqVO updateReqVO);

    /**
     * 删除叉车管理
     *
     * @param id 编号
     */
    void deleteFactoryForklift(Long id);

    /**
     * 获得叉车管理
     *
     * @param id 编号
     * @return 叉车管理
     */
    FactoryForkliftDO getFactoryForklift(Long id);

    /**
     * 获得叉车管理分页
     *
     * @param pageReqVO 分页查询
     * @return 叉车管理分页
     */
    PageResult<FactoryForkliftRespVO> getFactoryForkliftPage(FactoryForkliftPageReqVO pageReqVO);

}
